<template>
  <div :class="balanceColor" class="total-value">Balance: {{ total }}</div>
</template>

<script>
export default {
  name: "Total-balance",
  props: {
    total: {
      type: Number,
      default: 0,
    },
  },
  computed: {
    balanceColor() {
      return {
        green: this.total > 0,
        red: this.total < 0,
      };
    },
  },
};
</script>

<style scoped>
.total-value {
  font-size: 26px;
  text-transform: uppercase;
  padding: 20px;
  text-align: center;
}
.green {
  color: green;
}
.black {
  color: black;
}
.red {
  color: red;
}
</style>
